﻿using System;

using Command.Units;
using Command.Shooting;
using Command.Armor;

namespace Command.FactionInfo
{
    public abstract class FactionDetailsFactory
    {
        public abstract UnitSide GetSide();
        public abstract UnitBehaviour GetBehaviour();
        public abstract string GetDescription(UnitType unitType);
        public abstract IShootingBehaviour GetShootingBehaviour(UnitType unitType);
        public abstract IArmorBehaviour GetArmor(UnitType unitType);
    }
}
