﻿using System;

using Command.Units;
using Command.Shooting;
using Command.Armor;

namespace Command.FactionInfo.GDI
{
    public class GdiDetails : FactionDetailsFactory
    {
        public override UnitSide GetSide()
        {
            return UnitSide.GDI;
        }

        public override UnitBehaviour GetBehaviour()
        {
            return UnitBehaviour.Normal;
        }

        public override string GetDescription(UnitType unitType)
        {
            switch (unitType)
            {
                case UnitType.Soldier: return "Soldier";
                case UnitType.Engineer: return "Engineer";
                case UnitType.EliteUnit: return "Ghostalker";
                default: return null;
            }
        }

        public override IShootingBehaviour GetShootingBehaviour(UnitType unitType)
        {
            switch (unitType)
            {
                case UnitType.Soldier: return new NormalShot();
                case UnitType.Engineer: return new CantShoot();
                case UnitType.EliteUnit: return new RailGun();
                default: return null;
            }
        }

        public override IArmorBehaviour GetArmor(UnitType unitType)
        {
            switch (unitType)
            {
                case UnitType.Soldier: return new KevlarArmor();
                case UnitType.Engineer: return new NoArmor();
                case UnitType.EliteUnit: return new CyberArmor();
                default: return null;
            }
        }
    }
}
